| Home | Libraries | People | FAQ | More

## Class template deleter

boost::interprocess::deleter

## Synopsis

    template<typename T, typename SegmentManager>
    class deleter {
    public:
      // types
      typedef unspecified pointer;

      // construct/copy/destruct
      deleter(segment_manager_pointer);

      // public member functions
      void operator()(const pointer &) ;
    };

## Description

A deleter that uses the segment manager's destroy_ptr function to destroy the passed pointer resource.

This deleter is used

### `deleter` public construct/copy/destruct

1.     deleter(segment_manager_pointer pmngr);

### `deleter` public member functions

1.     void operator()(const pointer & p) ;